Summary
Calculate incoming/outgoing schemas for the workflow
Description
calculate incoming/outgoing schemas for the workflow
Route
POST /workflow_builder/workflows/schemas
Roles
admin
engineering
support
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| workflow |
object |
yes |
Workflow's data. |
Copied to Clipboard
{
"workflow": {
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [
"ddf7cc1dd38844c3d6b5502d",
"81bd0a14499f108011de3d6a",
"a6ab76fe28f9ad2550b82cb0",
"a81ddef32658a0bfe9993bda",
"15441c21da3197d5e272030e"
],
"x": 31613999.76256627,
"y": -15169664.17786625
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [
"c29cf5575c08333f8bcfec7a",
"6b89f98957c2cc1012e39d21",
"96c4938a1c306b89342373bb",
"6ff991984cdc032cfc8a0473",
"a9f603400b4b7dfe63df4c2c"
],
"x": 26691538.783480033,
"y": 88473858.74615416
},
"error_handler": {
"name": "childJob",
"summary": "magna reprehenderit mollit",
"description": "nulla aliqua deserunt",
"app": "Duis velit",
"variables": {
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "/~0/~1/~1/~1/~1"
},
{
"type": "encryption",
"pointer": "/z/~0/FJSEz+/NWx3NHyIq/~0/~0/~0/~0/~1/Ed1ZL.HU2kB"
},
{
"type": "encryption",
"pointer": "/~1/ckjo7,Wc/G.U/~0/~1/~1/~0/~1/~0/O9T/EK"
},
{
"type": "encryption",
"pointer": "/BRlEsOhc/~1/t5gc/~0/Xp,oyEobep/~0/weYiVWs4p/UE7CWl"
}
]
},
"groups": [
"e7d6c12e07cfca9df608ae5c",
"b93ceed6910d335a2ae44789",
"1c6f567c7d623c54a08d0ab1"
],
"x": -7311800.668967187,
"y": 80292761.40255734,
"type": "operation",
"gridCoordinate": {
"x": 46175915.00727406,
"y": 68327430.4730156
},
"deprecated": true,
"scheduled": false
}
},
"transitions": {},
"groups": [
"e15a50e19bdc665f8db4bbdd",
"6f2d4c0882baba062290c6ec"
],
"_id": "8089d088-e42a-6e43-3a48-c061218efff9",
"description": null,
"errorHandler": null,
"font_size": 12,
"created": "1986-11-09T23:07:36.405Z",
"created_by": "688924bdc620afbe1a0c6d0d",
"createdVersion": "nisi velit magna",
"last_updated": "1972-08-15T06:59:15.658Z",
"last_updated_by": "e5345790ae3d5a16c279ece6",
"lastUpdatedVersion": "nisi voluptate culpa ad et",
"tags": [
"ex nulla fugiat velit ullamco",
"pariatur esse exercitation aute",
"do",
"sed pariatur deserunt"
],
"canvasVersion": 1.5,
"encodingVersion": 1,
"decorators": [
{
"type": "encryption",
"pointer": "/~0"
},
{
"type": "encryption",
"pointer": "/oZah397VhE/~0/~1"
},
{
"type": "encryption",
"pointer": "/~0/~1/~1/DsJjM/YDU/~0/i4rOSbA34"
},
{
"type": "encryption",
"pointer": "/~1/P3/Ghh/g/~0/E.kqKkRB6zt/~1/~0/aUGkfu+n.ul/~0/cs4Uo3ADmU"
},
{
"type": "encryption",
"pointer": "/~1/~0/~0/~1"
}
]
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"workflow": {
"$ref": "workflowDocument"
}
},
"required": [
"workflow"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
Input/Output transformation schemas for the workflow |
Copied to Clipboard
{
"title": "data",
"type": "object",
"properties": {
"inputSchema": {
"type": "object"
},
"outputSchema": {
"type": "object"
}
}
}